Search documentation of wx

# View Source wxPopupTransientWindow (wx v2.4.2)

Functions for wxPopupTransientWindow class

A `wxPopupWindow` which disappears automatically when the user clicks mouse outside it or if it loses focus in any other way.

This window can be useful for implementing custom combobox-like controls for example.

See: `wxPopupWindow`

This class is derived (and can use functions) from: `wxPopupWindow` `wxWindow` `wxEvtHandler`

wxWidgets docs: wxPopupTransientWindow

# Summary

## Types

wxPopupTransientWindow()

## Functions

destroy(This)

Destroys the object.

dismiss(This)

Hide the window.

new()

Default constructor.

new(Parent)
new/2

Constructor.

popup(This)
popup/2

Popup the window (this will show it too).

# Types

Link to this type

# wxPopupTransientWindow()

View Source

    -type wxPopupTransientWindow() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxPopupTransientWindow()) -> ok.

Destroys the object.

Link to this function

# dismiss(This)

View Source

    -spec dismiss(This) -> ok when This :: wxPopupTransientWindow().

Hide the window.

Link to this function

# new()

View Source

    -spec new() -> wxPopupTransientWindow().

Default constructor.

Link to this function

# new(Parent)

View Source

    -spec new(Parent) -> wxPopupTransientWindow() when Parent :: wxWindow:wxWindow().

Link to this function

# new/2

View Source

    -spec new(Parent, [Option]) -> wxPopupTransientWindow()
                 when Parent :: wxWindow:wxWindow(), Option :: {style, integer()}.

Constructor.

Link to this function

# popup(This)

View Source

    -spec popup(This) -> ok when This :: wxPopupTransientWindow().

Link to this function

# popup/2

View Source

    -spec popup(This, [Option]) -> ok
                   when This :: wxPopupTransientWindow(), Option :: {focus, wxWindow:wxWindow()}.

Popup the window (this will show it too).

If `focus` is non-NULL, it will be kept focused while this window is shown if supported by the current platform, otherwise the popup itself will receive focus. In any case, the popup will disappear automatically if it loses focus because of a user action.

See: `dismiss/1`